summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
Diffstat (limited to 'audio')
-rw-r--r--audio/museeks/doinst.sh6
-rw-r--r--audio/museeks/museeks.SlackBuild65
-rw-r--r--audio/museeks/museeks.desktop8
-rw-r--r--audio/museeks/museeks.info10
4 files changed, 30 insertions, 59 deletions
diff --git a/audio/museeks/doinst.sh b/audio/museeks/doinst.sh
index 5fb28930db..65c7e2eeb9 100644
--- a/audio/museeks/doinst.sh
+++ b/audio/museeks/doinst.sh
@@ -1,3 +1,9 @@
if [ -x /usr/bin/update-desktop-database ]; then
/usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/audio/museeks/museeks.SlackBuild b/audio/museeks/museeks.SlackBuild
index cfb45bbeb0..71f10ffd35 100644
--- a/audio/museeks/museeks.SlackBuild
+++ b/audio/museeks/museeks.SlackBuild
@@ -2,7 +2,7 @@
#
# Slackware build script for museeks.
#
-# Copyright 2017 Edinaldo P. Silva, Rio de Janeiro, Brazil.
+# Copyright 2017-2018 Edinaldo P. Silva, Rio de Janeiro, Brazil.
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=museeks
-VERSION=${VERSION:-0.8.1}
+VERSION=${VERSION:-0.9.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -35,41 +35,26 @@ if [ -z "$ARCH" ]; then
esac
fi
+case "$ARCH" in
+ i?86) BITS="i386" ;;
+ x86_64) BITS="amd64" ;;
+ arm*) BITS="armhf" ;;
+ *) echo "$ARCH is not supported."
+ exit 1 ;;
+esac
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i586" ]; then
- SLKCFLAGS="-O2 -march=i586 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
- LIBDIRSUFFIX="64"
-else
- SLKCFLAGS="-O2"
- LIBDIRSUFFIX=""
-fi
-
set -e
-rm -rf $PKG
-mkdir -p $TMP $PKG $OUTPUT
-cd $TMP
-
-rm -rf $PRGNAM-$VERSION
-if [ "$ARCH" = "x86_64" ]; then
- unzip $CWD/$PRGNAM-linux-x64.zip
- mv $PRGNAM-linux-x64 $PRGNAM-$VERSION
-else
- unzip $CWD/$PRGNAM-linux-ia32.zip
- mv $PRGNAM-linux-ia32 $PRGNAM-$VERSION
-fi
+rm -rf $PKG $TMP/$PRGNAM
+mkdir -p $TMP/$PRGNAM $PKG $OUTPUT
-cd $PRGNAM-$VERSION
+cd $TMP/$PRGNAM
+ar p $CWD/${PRGNAM}-${BITS}.deb data.tar.xz | tar xvJ
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
@@ -80,25 +65,13 @@ find -L . \
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-install -dm755 $PKG/usr/share/$PRGNAM
-install -dm755 $PKG/usr/bin
-
-install -Dm755 Museeks $PKG/usr/share/$PRGNAM/
-install -Dm644 {blink_image_resources_200_percent.pak,content_resources_200_percent.pak,\
-content_shell.pak,icudtl.dat,libffmpeg.so,libnode.so,natives_blob.bin,snapshot_blob.bin,\
-ui_resources_200_percent.pak,version,views_resources_200_percent.pak} $PKG/usr/share/$PRGNAM/
-
-cp -a {locales,resources} $PKG/usr/share/$PRGNAM/
-
-(
- ln -s /usr/share/$PRGNAM/Museeks $PKG/usr/bin/$PRGNAM
-)
-
-install -Dm644 resources/app/src/images/logos/museeks.png $PKG/usr/share/pixmaps/$PRGNAM.png
-install -Dm644 $CWD/$PRGNAM.desktop $PKG/usr/share/applications/$PRGNAM.desktop
+mv opt usr $PKG/
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a LICENSE LICENSES.chromium.html $PKG/usr/doc/$PRGNAM-$VERSION
+gzip -dc $PKG/usr/share/doc/$PRGNAM/changelog.gz > \
+ $PKG/usr/doc/$PRGNAM-$VERSION/ChangeLog
+rm -rf $PKG/usr/share/doc
+mv $PKG/opt/Museeks/LICENSE* $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/audio/museeks/museeks.desktop b/audio/museeks/museeks.desktop
deleted file mode 100644
index 91cd3d0a0d..0000000000
--- a/audio/museeks/museeks.desktop
+++ /dev/null
@@ -1,8 +0,0 @@
-[Desktop Entry]
-Name=Museeks
-Comment=a simple, clean and cross-platform music player
-Exec=/usr/bin/museeks
-Icon=/usr/share/museeks/resources/app/src/images/logos/museeks.png
-Terminal=false
-Type=Application
-Categories=AudioVideo;Audio;Player;
diff --git a/audio/museeks/museeks.info b/audio/museeks/museeks.info
index 2d5b3300ff..da52343728 100644
--- a/audio/museeks/museeks.info
+++ b/audio/museeks/museeks.info
@@ -1,10 +1,10 @@
PRGNAM="museeks"
-VERSION="0.8.1"
+VERSION="0.9.0"
HOMEPAGE="https://github.com/KeitIG/museeks"
-DOWNLOAD="https://github.com/KeitIG/museeks/releases/download/0.8.1/museeks-linux-ia32.zip"
-MD5SUM="50a3d4ed5294e9f38378dc67c87de9cf"
-DOWNLOAD_x86_64="https://github.com/KeitIG/museeks/releases/download/0.8.1/museeks-linux-x64.zip"
-MD5SUM_x86_64="77e73d47252b3c333d42770d373afb45"
+DOWNLOAD="https://github.com/KeitIG/museeks/releases/download/0.9.0/museeks-i386.deb"
+MD5SUM="442d664dbbd5115a3271cdf14969ca23"
+DOWNLOAD_x86_64="https://github.com/KeitIG/museeks/releases/download/0.9.0/museeks-amd64.deb"
+MD5SUM_x86_64="9a85cde88a1918327affa1172d6e1ad0"
REQUIRES=""
MAINTAINER="Edinaldo P. Silva"
EMAIL="edps.mundognu@gmail.com"